package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag700;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT700Creator;

/**
 * @author hedonghao
 * @date 2023/2/20
 */
public class Tag23Creator extends AbsTagCreate {

    private MT700Creator mt700Creator;

    public Tag23Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt700Creator= (MT700Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag23CValue = mt700Creator.getReferencetoPreAdvice();
        mt700Creator.set("23", tag23CValue);
    }
}
